Subject: Re: ixgbe unstable performance at 1Gb/s

From: Charles Vejnar <[email-masked]>
Date: Thu, 27 Sep 2012 10:32:59 +0200

Le 26/09/2012 22:22, Tantilov, Emil S a écrit :
>> -----Original Message-----
>> From: Charles Vejnar [mailto:[email-masked]]
>> Sent: Wednesday, September 26, 2012 11:33 AM
>> To: Tantilov, Emil S; [email-masked]
>> Subject: Re: ixgbe unstable performance at 1Gb/s
>>
>> Le 25/09/2012 19:58, Tantilov, Emil S a écrit :
>>>> -----Original Message-----
>>>> From: [email-masked] [mailto:[email-masked]]
>> On
>>>> Behalf Of Charles
>>>> Sent: Monday, September 24, 2012 10:47 AM
>>>> To: [email-masked]
>>>> Subject: ixgbe unstable performance at 1Gb/s
>>>>
>>>> Hi,
>>>>
>>>> I hope I am posting on the right mailing-list. If not, sorry; please
>>>> redirect me
>>>> to the right place. Thanks.
>>>>
>>>> I have a new motherboard with integrated Intel X540 10GBase-T. For now,
>> I
>>>> want
>>>> to use it at 1Gb/s.
>>>>
>>>> The bandwidth is only of ~300 Mbit/s (with Iperf). It's actually very
>>>> unstable
>>>> (always varies between 100 to 800 Mbit/s during the transfer).
>>> Do you by any chance have CONFIG_IXGBE_PTP set in your kernel config?
>>>
>>> If so, try disabling it and see if it fixes your performance.
>>>
>>> Thanks,
>>> Emil
>>>
>> Hi,
>>
>> Thanks for your reply.
>>
>> I compiled manually the ixgbe module with the default options of my
>> distribution (Archlinux). I had the same problem.
>>
>> I then changed the CONFIG_IXGBE_PTP to no (default is yes) as you
>> suggested, and recompiled. The problem disappeared; normal transfer.
>>
>> Could you please explain why this PTP is causing a problem? How can this
>> be fixed without having to recompile the module (ethtool, /sys, bios...
>> )? Thanks
> This is actually a bug in the driver. We should have a patch out very soon to address it.
>
>> Regards,
>>
>> Charles
> Thanks,
> Emil
Hi Emil,

 > This is actually a bug in the driver. We should have a patch out very 
soon to address it.

OK. Please send a reply to this thread when it's available. I can test 
the patch.

Thanks

Charles